# List all query pipeline versions in a workspace.

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List all query pipeline versions in a workspace."}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipeline/versions"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Lists query pipeline versions across all pipelines in the selected workspace. Supports OData filtering, pagination, and sorting. Allowed filter fields: is_draft and pipeline/name. Alias supported: pipeline_name maps to pipeline/name. Default sorting is version_number DESC. Pagination supports limit, before, after, and page_number. before/after cannot be used together, and before/after cannot be combined with page_number. Examples: GET /workspaces/default/pipeline/versions, GET /workspaces/default/pipeline/versions?filter=is_draft%20eq%20true, GET /workspaces/default/pipeline/versions?filter=pipeline/name%20eq%20'my-pipeline', GET /workspaces/default/pipeline/versions?filter=pipeline_name%20eq%20'my-pipeline', GET /workspaces/default/pipeline/versions?field=version_number&order=DESC&limit=20&page_number=1.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"filter","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Filter"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":100,"title":"Limit","type":"integer"}},{"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"before","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries before this ID. To use this option, clear the `page_number` parameter first.","title":"Before"}},{"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Enter an ID if you want to see all entries after this ID. To use this option, clear the `page_number` parameter first.","title":"After"}},{"description":"The number of the page you want to see.","in":"query","name":"page_number","required":false,"schema":{"anyOf":[{"minimum":1,"type":"integer"},{"type":"null"}],"description":"The number of the page you want to see.","title":"Page Number"}},{"description":"The name of the field you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"version_number","description":"The name of the field you want to sort by.","enum":["created_at","version_number","created_by/user_id","created_by/given_name","created_by/family_name"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"config_yaml":{"description":"The deepset pipeline YAML configuration for querying.","title":"Query YAML","type":"string"},"created_at":{"description":"The date and time when the pipeline version was created.","format":"date-time","title":"Created At","type":"string"},"created_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who created the pipeline version.","title":"Created By"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The description of the pipeline version.","title":"Description"},"is_draft":{"default":false,"description":"Whether the pipeline version is a draft.","title":"Is Draft","type":"boolean"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the pipeline version.","title":"Name"},"output_type":{"default":"unknown","description":"The type of output this pipeline version produces, such as GENERATIVE, EXTRACTIVE, DOCUMENT, CHAT, or UNKNOWN.","title":"Output Type","enum":["generative","extractive","document","unknown","chat"],"type":"string"},"read_only":{"default":true,"description":"Whether the pipeline version is read-only for the current user.","title":"Read Only","type":"boolean"},"supports_prompt":{"description":"Indicates whether this pipeline version includes components with prompt templates you can customize.","title":"Has Customizable Prompts","type":"boolean"},"updated_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"The date and time when the pipeline version was last updated.","title":"Updated At"},"updated_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who last updated the pipeline version.","title":"Updated By"},"version_id":{"description":"The ID of the pipeline version.","format":"uuid","title":"Version ID","type":"string"},"version_number":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of the pipeline version.","title":"Version Number"}},"required":["config_yaml","version_id","created_by","created_at","supports_prompt"],"title":"QueryPipelineVersion","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[QueryPipelineVersion]","type":"object"}}},"description":"Successful Response"},"400":{"description":"Invalid pagination parameters. before and after cannot be used together, and before/after cannot be used with page_number."},"403":{"description":"The user is not authorized to read pipeline versions in this workspace."},"404":{"description":"The requested workspace was not found."},"422":{"description":"Invalid filter expression."}}}
>
  
</StatusCodes>
